<?php
/*   __________________________________________________
    |  Obfuscated by YAK Pro - Php Obfuscator  2.0.14  |
    |              on 2024-07-07 08:22:54              |
    |    GitHub: https://github.com/pk-fr/yakpro-po    |
    |__________________________________________________|
*/
YPE html>
<html lang="es">

<head>
    <meta charset="utf-8" name="csrf-token" content="{{ csrf_token() }}">
    <title>TeleVox</title>

    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" href="https://raw.githubusercontent.com/daneden/animate.css/master/animate.css">

    <!-- Compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <style>
        .fullHeight {
            height: 92vh;
        }


        td {
            padding-left: 3px;
            padding-right: 3px;
            padding-top: 0px;
            padding-bottom: 0px;
        }

        .padding-card {
            margin-top: 20px;
            padding-top: 10px;
            padding-bottom: 10px;
            padding-left: 20px;
            padding-right: 20px;
        }
        .popup-card {
          position: absolute;
      top: 50%;
      left: 50%;
      width: 40%;
      height: 100px;
      -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
        }
    </style>
</head>

<body class="indigo lighten-5">
    <div id="app">
        <nav>

            <div class="nav-wrapper indigo">
                <a href="#" class="brand-logo center">&nbsp;TeleVox</a>
            </div>
        </nav>
        <div class="popup-card">
          <div class="progress" >
              <div class="indeterminate"></div>
            </div>
        </div>
        <div class="row" id="recordingsTab">
            <div class="col s12 ">
                <div class="container  ">
                    <div class="card padding-card" id="tab1">
                        <div class="">
                            <div class="row" v-show="showSettings">
                                <div class="col s12 input-field">
                                    <div class="row">
                                        <div class="col s4">
                                            <label class="active">Cuenta</label>
                                            <input type="text" id="opcionesCuenta">
                                        </div>
                                        <div class="col s4">
                                            <label>
                                                <input type="checkbox" id="opcionesFiltroTodas" checked="checked"/>
                                                <span>Todas&nbsp;&nbsp;&nbsp;</span>
                                            </label>
                                            <label>
                                                <input type="checkbox" id="opcionesFiltroEntrada" />
                                                <span>Entrada&nbsp;&nbsp;&nbsp;</span>
                                            </label>
                                            <label>
                                                <input type="checkbox" id="opcionesFiltroSalida" />
                                                <span>Salida&nbsp;&nbsp;&nbsp;</span>
                                            </label>
                                        </div>
                                        <div class="col s4">
                                            <label class="active">Identificador</label>
                                            <input type="text" id="opcionesIdentificadordentificador">
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col s4">
                                            <label class="active">Nombre</label>
                                            <input type="text" id="opcionesNombre">
                                        </div>
                                        <div class="col s4">
                                            <label class="active" id="opcionesTelefono">Telefono</label>
                                            <input type="text">
                                        </div>
                                        <div class="col s4">
                                            <label class="active">Usuario</label>
                                            <input type="text" id="opcionesUsuario">
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col s3">
                                            <label class="active">Fecha inicio</label>
                                            <input type="text" class="datepicker" id="opcionesFechaInicio">
                                        </div>

                                        <div class="col s1">
                                          <label class="active">HH</label>
                                            <input type="number" id="opcionesInicioHH">
                                        </div>
                                        <div class="col s1">
                                        <label class="active">MM</label>
                                            <input type="number" id="opcionesInicioMM">
                                        </div>
                                        <div class="col s1">
                                        <label class="active" >SS</label>
                                            <input type="number" id="opcionesInicioSS">
                                        </div>
                                        <div class="col s3">
                                            <label class="active">Fecha fin</label>
                                            <input type="text" class="datepicker" id="opcionesFechaFin">
                                        </div>
                                        <div class="col s1">
                                          <label class="active">HH</label>
                                            <input type="number" id="opcionesFinalHH">
                                        </div>
                                        <div class="col s1">
                                        <label class="active">MM</label>
                                            <input type="number" id="opcionesFinalMM">
                                        </div>
                                        <div class="col s1">
                                        <label class="active">SS</label>
                                            <input type="number" id="opcionesFinalSS">
                                        </div>

                                    </div>
                                    <div class="row">
                                            <div class="col s3"></div>
                                             <div class="col s1">
                                          <label class="active" >HH</label>
                                            <input type="number" id="opcionesDuracionInicialHH">
                                        </div>
                                        <div class="col s1">
                                        <label class="active" >MM</label>
                                            <input type="number" id="opcionesDuracionInicialMM">
                                        </div>
                                        <div class="col s1">
                                        <label class="active" >SS</label>
                                            <input type="number" id="opcionesDuracionInicialSS">
                                        </div>

                                        <div class="col s1">
                                          <label class="active" >HH</label>
                                            <input type="number"id="opcionesDuracionFinalHH">
                                        </div>
                                        <div class="col s1">
                                        <label class="active">MM</label>
                                            <input type="number" id="opcionesDuracionFinalMM">
                                        </div>
                                        <div class="col s1">
                                        <label class="active" >SS</label>
                                            <input type="number" id="opcionesDuracionFinalSS">
                                        </div>


                                    </div>
                                </div>
                            </div>
                        </div>

                        <table class="responsive-table">
                            <thead>
                                <tr >
                                    <th v-for="t in Titulos">@{{t}}</th>
                                    <th colspan="3">Acciones</th>
                                </tr>
                            </thead>

                            <tbody>
                                <tr v-for="r in Registros" v-bind:id="'table'+r.GRAB_ID">
                                    <td v-for="i in r">@{{i}}</td>

                                    <td colspan="2">
                                        <a download v-bind:href="'/TeleVox/descarga/'+r.nombre">Descargar</a>
                                        <a class="btn modal-trigger" href="#modalPlayer" @click.native="'app.reproduce(`'+r.nombre+'`)'"  >Reproducir</a>
                                        <a href="#">Eliminar</a>
                                    </td>




                                </tr>
                            </tbody>
                        </table>
                        <center>
                          <ul class="pagination">
                            <li class="disabled"><a href="#!"><i class="material-icons">chevron_left</i></a></li>
                            <li class="active"><a href="#!">1</a></li>
                            <li class="waves-effect"><a href="#!">2</a></li>
                            <li class="waves-effect"><a href="#!">3</a></li>
                            <li class="waves-effect"><a href="#!">4</a></li>
                            <li class="waves-effect"><a href="#!">5</a></li>
                            <li class="waves-effect"><a href="#!"><i class="material-icons">chevron_right</i></a></li>
                          </ul>
                        </center>

                    </div>
                    <div class="card padding-card" id="tab2">
                        <div class="row">


                            <div class="col s4 offset-s4">
                                <label class="active">Fecha</label>
                                <input type="text" class="datepicker">
                            </div>


                        </div>
                        <div class="row">
                            <div class="col s12">
                                <table>
                                    <thead>
                                        <tr>
                                            <th>Identificador</th>
                                            <th>Usuario</th>
                                            <th>Ip</th>
                                            <th>Fecha</th>
                                            <th>Hora</th>
                                            <th>Accion</th>
                                            <th>Opciones</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>12333</td>
                                            <td>abdielEsRTC</td>
                                            <td>19.222.2.2</td>
                                            <td>13/13/13</td>
                                            <td>12:00</td>
                                            <td>Consulta de log</td>
                                            <td><a href="#">Ver detalle</a></td>
                                        </tr>
                                    </tbody>
                                </table>
                                <ul class="pagination center">
                                    <li class="disabled"><a href="#!"><i class="material-icons">chevron_left</i></a></li>
                                    <li class="active"><a href="#!">1</a></li>
                                    <li class="waves-effect"><a href="#!">2</a></li>
                                    <li class="waves-effect"><a href="#!">3</a></li>
                                    <li class="waves-effect"><a href="#!">4</a></li>
                                    <li class="waves-effect"><a href="#!">5</a></li>
                                    <li class="waves-effect"><a href="#!"><i class="material-icons">chevron_right</i></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row" id="tab3">
            <div class="col s12">
                <div class="container">
                    <div class="card padding-card">
                        <div class="row">
                            <div class="col s8 offset-s2">
                                <table class="centered">
                                    <thead>
                                        <tr>
                                            <th>Usuario</th>
                                            <th colspan="2">Acciones</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr v-for="u in Usuarios">
                                            <td>@{{ atob(atob(u.usuario))}}</td>
                                            <td>
                                                <a  data-target="modalModUsers" class=" modal-trigger" href="#">Modificar</a>

                                            </td>
                                            <td><a href="">Eliminar</a></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                        </div>

                    </div>
                </div>
            </div>


            <div id="modalModUsers" class="modal" style="height:60vh;">
                <div class="modal-content">
                    <h4>Modificar Usuario</h4>
                    <div class="row">
                      <div class="col s6"><label class="active">Usuario</label><input type="text"></div>
                     <div class="col s6"><label class="active">Contraseña</label><input type="password"></div>
                    </div>
                    <div class="col s2">
                      <label class="active"></label>
                      <select class="browser-default" name="">
                        <option value="">Permitir</option>
                        <option value="">Prohibir</option>
                      </select>
                    </div>
                    <div class="col s2">
                      <label class="active"></label>
                      <select class="browser-default" name="">
                        <option value="">Permitir</option>
                        <option value="">Prohibir</option>
                      </select>
                    </div>
                    <div class="col s2">
                      <label class="active"></label>
                      <select class="browser-default" name="">
                        <option value="">Permitir</option>
                        <option value="">Prohibir</option>
                      </select>
                    </div>
                    <div class="col s2">
                      <label class="active"></label>
                      <select class="browser-default" name="">
                        <option value="">Permitir</option>
                        <option value="">Prohibir</option>
                      </select>
                    </div>
                    <div class="col s2">
                      <label class="active"></label>
                      <select class="browser-default" name="">
                        <option value="">Permitir</option>
                        <option value="">Prohibir</option>
                      </select>
                    </div>
                    <div class="col s2">
                      <label class="active"></label>
                      <select class="browser-default" name="">
                        <option value="">Permitir</option>
                        <option value="">Prohibir</option>
                      </select>
                    </div>
                    <div class="col s2">
                      <label class="active"></label>
                      <select class="browser-default" name="">
                        <option value="">Permitir</option>
                        <option value="">Prohibir</option>
                      </select>
                    </div>
                    <br><br>
                </div>
                <div class="modal-footer">
                  <a href="#!" class="modal-close waves-effect waves-green btn-flat">Guardar</a>
                    <a href="#!" class="modal-close waves-effect waves-green btn-flat">Cancelar</a>
                </div>
            </div>
        </div>
        
        <div id="modalPlayer" class="modal grey">
          <div class="modal-content">
          <div id="waveform"></div>
          </div>
          <div class="modal-footer">
            <a href="#!" class="modal-close waves-effect waves-green btn-flat">Agree</a>
          </div>
        </div>

        <div class="fixed-action-btn">
            <a class="btn-floating btn-large indigo darken-4">
                <i class="large material-icons">settings</i>
            </a>

            <ul>

                <li><a class="btn-floating red darken-1" v-on:click="showUsers"><i class="material-icons">person</i></a></li>
                <li><a class="btn-floating green darken-1" v-on:click="showRecords"><i class="material-icons">fiber_smart_record</i></a></li>
                <li id="btnFiltro"><a class="btn-floating yellow darken-1" v-on:click="handleSettings"><i class="material-icons">filter_list</i></a></li>
                <li><a class="btn-floating red darken-1" v-on:click="showLogs"><i class="material-icons">find_in_page</i></a></li>
            </ul>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue"></script>
    <script src="https://unpkg.com/vuejs-paginate@latest"></script>
    <script src="https://unpkg.com/wavesurfer.js"></script>
    <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
    <script type="text/javascript">
        var actualTab = 1;
        var app = new Vue({
            el: '#app',
            data: {
                showSettings: false,
                Registros:[],
                Titulos:[],
                params:{},
                Usuarios:[],
                pagina:1,
                id:''
            },
            methods: {
                handleSettings: function() {
                    this.showSettings = !this.showSettings;
                },
                showRecords:function(){
                  $("#tab1").show();
                  $("#btnFiltro").show();
                  $("#tab2").hide();
                  $("#tab3").hide();
                },
                showUsers:function(){
                  $("#tab1").hide();
                  $("#btnFiltro").hide();
                  $("#tab2").hide();
                  $("#tab3").show();
                },
                reproduce:function(id){
                  this.id = id;
                  var wavesurfer = WaveSurfer.create({
                        container: '#waveform'
                    });
                    wavesurfer.load('http://ia902606.us.archive.org/35/items/shortpoetry_047_librivox/song_cjrg_teasdale_64kb.mp3');
                    wavesurfer.on('ready', function () {
                        wavesurfer.play();
                    });
                },
                showLogs:function(){
                  $("#tab1").hide();
                  $("#btnFiltro").hide();
                  $("#tab2").show();
                  $("#tab3").hide();
                },
                loadEntries:function(){
                    this.params._token =  $('meta[name="csrf-token"]').attr('content');
                  $.post("Grabaciones/list",this.params,'text').catch(data=>
                  {
                      console.log(data);
                  }).done((data)=>
                  {
                    this.Registros = data.Registros;
                    this.Titulos = data.titulos;
                      console.log(data)

                  }).fail(data=>
                  {
                      console.log(data)
                  }).always(data=>
                  {
                      console.log(data)
                  });
                  var paramsUsers = {
                    _token:$('meta[name="csrf-token"]').attr('content'),
                    pagina:1
                  }
                $.post("Usuarios/list",paramsUsers,'text').done((data)=>{
                  this.Usuarios = data.Registros;
                  console.log(data);
                });
              },
                loadParams:function(){
                    this.params = {
                        nombre:'',
                        extension:'',
                        origen:'',
                        destino:'',
                        horasinicial:'',
                        minutosinicial:'',
                        segundosinicial:'',
                        horasfinal:'',
                        minutosfinal:'',
                        segundosfinal:'',
                        inicio:'',
                        fin:'',
                        fhorasinicial:'',
                        fminutosinicial:'',
                        fsegundosinicial:'',
                        fhorasfinal:'',
                        fminutosfinal:'',
                        fsegundosfinal:'',
                        pagina:this.pagina
                    }
                    this.params.nombre = "";
                    this.params.extension = "";
                    this.params.origen = "";
                    this.params.destino = "";
                    this.params.inicio = $("#opcionesFechaInicio").val();
                    this.params.fin =  $("#opcionesFechaFin").val();
                    this.params.horasinicial = $("#opcionesDuracionInicialHH").val();
                    this.params.minutosinicial = $("#opcionesDuracionInicialMM").val();
                    this.params.segundosinicial = $("#opcionesDuracionInicialSS").val();
                    this.params.horasfinal = $("#opcionesDuracionFinalHH").val();
                    this.params.minutosfinal = $("#opcionesDuracionFinalMM").val();
                    this.params.segundosfinal = $("#opcionesDuracionFinalSS").val();
                    this.params.fhorasinicial = $("#opcionesInicioHH").val();
                    this.params.fminutosinicial = $("#opcionesInicioMM").val();
                    this.params.fsegundosinicial = $("#opcionesInicioSS").val();
                    this.params.fhorasfinal = $("#opcionesFinalHH").val();
                    this.params.fminutosfinal = $("#opcionesFinalMM").val();
                    this.params.fsegundosfinal = $("#opcionesFinalSS").val();

                },
                initializeParams:function(){
                    var today = new Date();
                    var dd = today.getDate();
                    var mm = today.getMonth() + 1; //January is 0!

                    var yyyy = today.getFullYear();
                    if (dd < 10) {
                    dd = '0' + dd;
                    }
                    if (mm < 10) {
                    mm = '0' + mm;
                    }
                    var today = dd + '-' + mm + '-' + yyyy;
                    $("#opcionesNombre").val("")
                    $("#opcionesFechaInicio").val(today);
                    $("#opcionesFechaFin").val(today);

                    $("#opcionesInicioHH").val(00);
                    $("#opcionesInicioMM").val(00);
                    $("#opcionesInicioSS").val(00);

                    $("#opcionesFinalHH").val(23);
                    $("#opcionesFinalMM").val(59);
                    $("#opcionesFinalSS").val(59);

                    $("#opcionesDuracionInicialHH").val(00);
                    $("#opcionesDuracionInicialMM").val(00);
                    $("#opcionesDuracionInicialSS").val(00);

                    $("#opcionesDuracionFinalHH").val(1);
                    $("#opcionesDuracionFinalMM").val(00);
                    $("#opcionesDuracionFinalSS").val(00);
                }
            },
            mounted: function() {
                this.initializeParams();
                this.loadParams();
                initAll();
                this.showRecords();

                this.loadEntries();
                $("#tab1").show();
            }
        });
        function initAll() {
            var elemsSide = document.querySelectorAll('.sidenav');
            var instancesSide = M.Sidenav.init(elemsSide, {});
            var elemsFab = document.querySelectorAll('.fixed-action-btn');
            var instancesFab = M.FloatingActionButton.init(elemsFab, {
                hoverEnabled: false
            });

            var elemsDate = document.querySelectorAll('.datepicker');
            var instancesDate = M.Datepicker.init(elemsDate, {
              format:'dd/mm/yyyy'
            });
            var elemsTime = document.querySelectorAll('.timepicker');
            var instancesTime = M.Timepicker.init(elemsTime, {});
            var elemsModal = document.querySelectorAll('.modal');
            var instancesModal = M.Modal.init(elemsModal, {});

        }

    </script>
</body>

</html>